# Generated from acl9-3.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name acl9

Name: rubygem-%{gem_name}
Version: 3.2.0
Release: 1%{?dist}
Summary: Role-based authorization system for Rails with a concise DSL for securing your Rails application
License: MIT
URL: http://github.com/be9/acl9
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
Role-based authorization system for Rails with a concise DSL for securing your
Rails application. Acl9 makes it easy to get security right for your app, the
access control code sits right in your controller, the syntax is very easy to
understand, and acl9 makes it easy to test your access rules.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Appraisals
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/TODO
%{gem_instdir}/bin
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/acl9.gemspec
%{gem_instdir}/test

%changelog
* Thu Aug 12 2021 mockbuilder - 3.2.0-1
- Initial package
